import * as z from 'zod';
import type { Prisma } from '../../../generated/prisma';


const makeSchema = () => z.object({
  userId: z.number().int(),
  npiNumber: z.string()
}).strict();
export const NpiProviderUserIdNpiNumberCompoundUniqueInputObjectSchema: z.ZodType<Prisma.NpiProviderUserIdNpiNumberCompoundUniqueInput> = makeSchema() as unknown as z.ZodType<Prisma.NpiProviderUserIdNpiNumberCompoundUniqueInput>;
export const NpiProviderUserIdNpiNumberCompoundUniqueInputObjectZodSchema = makeSchema();
